activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Strachan" <james.strac...@gmail.com>
Subject Re: Building ActiveMQ 5 failed
Date Tue, 14 Aug 2007 18:55:11 GMT
On 8/14/07, Rainer Klute <rainer.klute@gmx.de> wrote:
> In order to tackle AMQ-1095 I tried to build ActiveMQ from source and
> followed the instructions under <http://activemq.apache.org/building.html>
> except that I downloaded and installed Maven 2.0.7 instead of 2.0.4. The
> ApacheMQ sources I retrieved with subversion.
>
> When running the command "mvn -Dmaven.test.skip=true install" I get the
> following error:
>
> ...
> [INFO] Building ActiveMQ
> [INFO]    task-segment: [install]
> [INFO]
> ----------------------------------------------------------------------------
> [INFO] artifact org.apache.maven.plugins:maven-eclipse-plugin: checking for
> updates from apache.incubating.releases
> [WARNING] repository metadata for: 'artifact
> org.apache.maven.plugins:maven-eclipse-plugin' could not be retrieved from
> repository: apache.incubating.releases due to an error: Error transferring
> file
> [INFO] Repository 'apache.incubating.releases' will be blacklisted

The above looks a tad worrying - are you behind a firewall or http
proxy by any chance?
http://maven.apache.org/guides/mini/guide-proxies.html



> [INFO] [site:attach-descriptor]
> [INFO] [install:install]
> [INFO] Installing /data1/work/activemq/pom.xml to
> /home/klute/.m2/repository/org/apache/activemq/activemq-parent/5.0-SNAPSHOT/activemq-parent-5.0-SNAPSHOT.pom
> [INFO] [maven-one-plugin:install-maven-one-repository {execution: default}]
> [INFO] Installing /data1/work/activemq/pom.xml to
> /home/klute/.maven/repository/org.apache.activemq/poms/activemq-parent-5.0-SNAPSHOT.pom
> [INFO]
> ----------------------------------------------------------------------------
> [INFO] Building ActiveMQ :: JAAS
> [INFO]    task-segment: [install]
> [INFO]
> ----------------------------------------------------------------------------
> [INFO]
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO]
> ------------------------------------------------------------------------
> [INFO] The plugin 'org.apache.maven.plugins:maven-resources-plugin' does not
> exist or no valid version could be found

FWIW this is a normal maven plugin, which maven should be
auto-downloading from the public maven repos.


-- 
James
-------
http://macstrac.blogspot.com/

Mime
View raw message